# $Revision: 1.9 $, $Date: 2007/02/12 21:23:51 $
Summary:	Cross HP Parisc GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - HP Parisc binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - HP Parisc binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla HP Parisc - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - HP Parisc binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - HP Parisc binutils
Name:		crosshppa-binutils
Version:	2.15.91.0.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	0d64d65d33a7f305e5ef8351086b9a3a
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		hppa-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for HP Parisc.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla HP Parisc

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--disable-shared \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crosshppa-binutils.spec,v $
Revision 1.9  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.7  2004/06/13 14:08:04  ankry
- now should build

Revision 1.6  2004/06/13 12:02:54  ankry
- md5

Revision 1.5  2004/06/13 11:33:18  ankry
- 2.15.91.0.1

Revision 1.4  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.3  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.2  2004/01/13 13:53:44  qboosh
- missing dir, fixed URL, cosmetics

Revision 1.1  2004/01/13 01:53:48  undefine
- new
